# Build with --debug (1) or --symbols (0)
%define debug   0
%define plugindir %{_usr}/lib/%{name}/plugins
%define libplugindir %{_usr}/lib/librnd/plugins

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d 

# commented out if not svn snapshot
#define svn

%define rel     2

Name:           pcb-rnd
Version:        2.3.1
Release:        %mkrel %{?svn:%rel.%svn}%{?!svn:%rel}
Summary:        Standard installation
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/pcb-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}%{?svn:-%{svn}}%{!?svn:-%{version}}.tar.gz
Source1:        mk-tar
Source2:        logo.svg
Source3:        pcb-rnd.desktop
Source4:        pcb-rnd-gtk2-gdk.desktop
Source5:        pcb-rnd-gtk2-gl.desktop
Source6:        pcb-rnd-lesstif.desktop
Source7:        mk-spec
Source8:        spec.tpl
Source9:        packaging.README

BuildRequires:  motif-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       %{name}-core = %{version}-%{release}
Recommends:     %{name}-io-standard = %{version}-%{release}
Recommends:     %{name}-io-alien = %{version}-%{release}
Recommends:     %{name}-hid-gtk2-gl = %{version}-%{release}
Recommends:     %{name}-hid-gtk2-gdk = %{version}-%{release}
Recommends:     %{name}-import-net = %{version}-%{release}
Recommends:     %{name}-export = %{version}-%{release}
Recommends:     %{name}-export-sim = %{version}-%{release}
Recommends:     %{name}-export-extra = %{version}-%{release}
Recommends:     %{name}-auto = %{version}-%{release}
Recommends:     %{name}-extra = %{version}-%{release}
Recommends:     %{name}-cloud = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}
Recommends:     geda-gnetlist

Obsoletes:      %{name}-static < 2.2.4-2

%description
pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
with a rich set of plugins for communicating with various external
design tools and other EDA/CAD packages.

Feature highlights:
  - subcircuits, pad stacks
  - flexible footprint model; unrestricted pad shapes
  - arbitrary copper, silk, paste and soldermask objects
  - sophisticated, flexible layer model
  - flexible/universal polygon model
  - any object, even polygons, can have a clearance within a polygon
  - advanced mil and mm grid, with support for mixed unit design
  - strong CLI support
  - static footprints and parametric (generated) footprints
  - query language for advanced search & select
  - powerful, user scriptable, modular Design Rule Checker (DRC)
  - layout optimizers such as teardrops and a trace puller
  - footprint library from local file systems, HTTP and board files
  - netlist management: imported and as-built; back annotation

File formats and compatibility:
  - text based, tree structured native file format (lihata)
  - import board:
    * autotrax PCB board, version 4
    * autotrax PCB board, version 5
    * dsn board
    * eagle xml board version 6, 7, 8
    * eagle binary board version 3, 4, 5
    * hyperlynx board, version 2 and above
    * kicad board, version 3, 4 and 5 (s-expr)
    * lihata pcb-rnd board (any version)
    * gEDA/PCB .pcb board (any version up to 2017)
  - export board:
    * anonimized board statistics in lihata
    * autotrax PCB board, version 4
    * dsn board
    * hyperlynx board, version 2.0
    * kicad board, version 3 (s-expr)
    * kicad pcbnew-board, version 1 (legacy plain text format)
    * lihata pcb-rnd board (any version)
    * gEDA/PCB .pcb board (various version up to 2017 )
  - import footprint:
    * BXL footprints
    * eagle xml footprint lib
    * eagle binary footprint lib
    * lihata pcb-rnd footprint (any version)
    * Mentor Graphics cell footprints
    * gEDA/PCB .fp footprints
    * tEDAx footprint (any version)
  - export footprint:
    * kicad module (s-expr, according to version 3)
    * kicad pcbnew-module (legacy plain text format)
    * lihata pcb-rnd footprint (any version)
    * gEDA/PCB .fp footprints
    * tEDAx footprint (any version)
  - import netlist:
    * Accel ASCII netlists + footprint info
    * calay (netlists + footprint info)
    * flat netlist from EDIF
    * freepcb netlist + footprint info
    * gEDA/gschem (netlist + footprint info, running gnetlist)
    * import ltspice .net and .asc (netlist and footprint info)
    * flat .edf (netlist+footprint, produced by Mentor Graphics Design Capture)
    * pcb-rnd action script (netlist + footprint info)
    * schematics import by running a commandline
    * netlist import by running a commandline
    * gEDA netlist (plain text, no footprint info)
    * Orcad PCB II (netlist + footprint info)
    * PADS ascii (.asc, netlists + footprint info)
    * Protel netlists 2.0 + footprint info
    * tinycad .net (netlists + footprint info)
    * eeschema netlist and footprint info
    * tEDAx netlist (any version)
  - export netlist:
    * tEDAx netlist (any version)
  - import image:
    * pixmap (e.g. png)
    * pnm (pixmap)
  - export image:
    * render in .png
    * render in .gif
    * render in .jpeg
    * render black&white postscript (single or multiple files)
    * render black&white or color embedded postscript (single file)
    * svg (Scalable Vector Graphics)
  - import misc:
    * specctra .dsn (wires and vias)
    * HPGL plot (lines, arcs, polygons)
    * MUCS unixplot .pl (lines and vias)
    * ttf font
    * eagle DRU (design rules)
    * lihata pcb-rnd font (any version)
    * gEDA/PCB font
    * tEDAx drc
    * tEDAx pcb-rnd drc script
  - export misc:
    * bom (Bill of Materials, text)
    * specctra .dsn (padstacks and subcircuits, works with freerouting.net)
    * .dxf (2D drawing for mech CADs)
    * excellon drill/cnc (for PCB fabbing)
    * fidocad .fcd (partial export)
    * export gcode (for milling)
    * gerber for PCB fabbing
    * IPC-D-356 Netlist (for automated testing)
    * printer (using ps)
    * list of terminal connections (old, custom format)
    * OpenEMS (simulation, matlab files)
    * openscad script (colored 3D model)
    * stl (3d triangulated surface model)
    * geda/PCB xy
    * gxyrs
    * Macrofab's pick&place
    * pick&place file for the TM220/TM240 device
    * KiCad .pos file
    * IPC-D-356 Netlist (from automated testing)
    * lihata pcb-rnd font (any version)
    * tEDAx etest
    * tEDAx drc
    * tEDAx pcb-rnd drc script

%package -n %{libname}
Summary:        Library, binaries
Requires:       pcb-rnd-core = %{version}-%{release}

%description -n %{libname}
HID, polygons, infrastructure for 3rd party applications.

%package -n %{devname}
Summary:        Library, headers
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
HID, polygons, infrastructure for 3rd party applications.

%package core
Summary:        Executable with the core functionality

%description core
Includes the data model, the most common action commands, the native file
format and the CLI (batch HID). Does not contain GUI. Can be used in headless
mode or batch/scripted mode for automated processing.

%package doc
Summary:        Documentation
BuildArch:      noarch

%description doc
User manual (html) and manual pages.

%package auto
Summary:        Autoroute and autoplace
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-io = %{version}-%{release}
Requires:       %{name}-io-standard = %{version}-%{release}

%description auto
Feature plugins for automated component placing and track routing.

%package cloud
Summary:        Networking plugins
Requires:       wget
Requires:       %{name}-core = %{version}-%{release}

%description cloud
'Cloud' footprint access plugin that integrates edakrill and gedasymbols.org.

%package debug
Summary:        Debug and diagnostics
Requires:       %{name}-core = %{version}-%{release}

%description debug
Extra action commands to help in debugging and diagnosing problems and bugs.

%package export-extra
Summary:        Export formats: special/extra
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-export = %{version}-%{release}

%description export-extra
Less commonly used export formats: fidocadj, ipc-356-d, direct printing
with lpr.

%package export-sim
Summary:        Export plugins to simulators
Requires:       %{name}-core = %{version}-%{release}

%description export-sim
Export the board in formats that can be used for simulation: openems.

%package export
Summary:        Common export plugins
Requires:       %{name}-core = %{version}-%{release}

%description export
Export the board in vector graphics (svg, ps, eps), raster graphics (png,
jpeg, etc.), gerber, 3d model in openscad, xy for pick and place, BoM, etc.

%package extra
Summary:        Extra action commands and optional functionality
Requires:       %{name}-core = %{version}-%{release}

%description extra
Align objects in grid, optimize tracks, font editor, combine polygons,
renumber subcircuits, apply vendor drill mapping.

%package hid-gtk2-gdk
Summary:        GUI: gtk2, software render
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-gtk = %{version}-%{release}

%description hid-gtk2-gdk
Software rendering on gtk2, using the gdk API.

%package hid-gtk2-gl
Summary:        GUI: gtk2, opengl
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-gtk = %{version}-%{release}
Requires:       %{name}-lib-gl = %{version}-%{release}

%description hid-gtk2-gl
Hardware accelerated (opengl) rendering on gtk2.

%package hid-lesstif
Summary:        GUI: motif/lesstif, software render
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-gui = %{version}-%{release}

%description hid-lesstif
Lightweight GUI and software rendering using the motif (lesstif) toolkit.

%package import-geo
Summary:        Geometry import plugins
Requires:       %{name}-core = %{version}-%{release}

%description import-geo
Import geometry from HPGL plots. HPGL can be produced (plotted) with most
mechanical cads.

%package import-net
Summary:        Netlist/schematics import plugins
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-io = %{version}-%{release}
# Fix upgrade path Mga7>8 due to file move
Conflicts:      %{name}-core < 2.3.1

%description import-net
Import netlist and footprint information from edif, ltspice, mentor graphics,
gschem and tinycad.

%package io-alien
Summary:        File format compatibility with other PCB layout designers
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-io = %{version}-%{release}

%description io-alien
Load and/or save boards in file formats supported by other EDA tools,
such as KiCAD, Eagle, protel/autotrax, etc.

%package io-standard
Summary:        Commonly used non-native board and footprint file formats
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-io = %{version}-%{release}

%description io-standard
Plugins for tEDAx footprint format and the gEDA/PCB file formats (footprint
and board).

%package lib-gl
Summary:        Support library for rendering with opengl
Requires:       %{name}-core = %{version}-%{release}

%description lib-gl
Provides plugins for driving an opengl output, rendering pcb-rnd views
on opengl. 

%package lib-gtk
Summary:        Support library for building the GUI with gtk
Requires:       %{name}-core = %{version}-%{release}
Requires:       %{name}-lib-gui = %{version}-%{release}

%description lib-gtk
Provides the common gtk code (e.g. dialog box engine, input handling)
for any gtk based HID plugin.

%package lib-gui
Summary:        Support library for building the GUI
Requires:       %{name}-core = %{version}-%{release}

%description lib-gui
Provides pcb-rnd specific dialog boxes (e.g. fontsel) and top window GUI
elements. 

%package lib-io
Summary:        Support library for alien file formats
Requires:       %{name}-core = %{version}-%{release}

%description lib-io
Provides generic, low level parsers (such as s-expression parser) for I/O
plugins that need to deal with alien file formats. 

%prep
%autosetup -n %{name}-%{?svn}%{!?svn:%{version}} -p1

%build
./configure \
--libarchdir=%{_lib} \
--all=disable --buildin-script --buildin-fp_fs --buildin-draw_fab --buildin-act_read --buildin-drc_query --buildin-mincut --buildin-ch_onpoint --buildin-report --buildin-rubberband_orig --buildin-exto_std --buildin-fp_board --buildin-propedit --buildin-io_lihata --buildin-autocrop --buildin-lib_polyhelp --buildin-draw_csect --buildin-ddraft --buildin-ch_editpoint --buildin-hid_batch --buildin-act_draw --buildin-tool_std --buildin-show_netnames --buildin-query --buildin-lib_compat_help --buildin-lib_portynet --buildin-shape --buildin-lib_formula --buildin-extedit --plugin-export_excellon --plugin-export_fidocadj --plugin-export_lpr --plugin-export_oldconn --plugin-irc --plugin-import_pxm_gd --plugin-export_stat --plugin-io_kicad_legacy --plugin-io_eagle --plugin-io_tedax --plugin-import_gnetlist --plugin-import_pxm_pnm --plugin-io_kicad --plugin-import_mucs --plugin-renumber --plugin-import_calay --plugin-smartdisperse --plugin-draw_fontsel --plugin-polycombine --plugin-export_gcode --plugin-export_bom --plugin-ar_cpcb --plugin-lib_hid_pcbui --plugin-teardrops --plugin-shand_cmd --plugin-import_tinycad --plugin-export_openems --plugin-import_orcad_net --plugin-import_ltspice --plugin-export_dxf --plugin-lib_gtk_common --plugin-export_ipcd356 --plugin-import_ttf --plugin-import_mentor_sch --plugin-import_dsn --plugin-export_ps --plugin-import_accel_net --plugin-hid_gtk2_gdk --plugin-millpath --plugin-djopt --plugin-hid_gtk2_gl --plugin-import_edif --plugin-hid_lesstif --plugin-import_protel_net --plugin-lib_gensexpr --plugin-import_sch2 --plugin-diag --plugin-lib_wget --plugin-lib_hid_gl --plugin-export_stl --plugin-autoplace --plugin-export_svg --plugin-import_net_cmd --plugin-fp_wget --plugin-fontmode --plugin-import_netlist --plugin-polystitch --plugin-import_pads_net --plugin-dialogs --plugin-io_dsn --plugin-export_xy --plugin-export_png --plugin-import_hpgl --plugin-import_ipcd356 --plugin-export_dsn --plugin-lib_hid_common --plugin-lib_netmap --plugin-io_hyp --plugin-cam --plugin-puller --plugin-import_fpcb_nl --plugin-io_pcb --plugin-distalign --plugin-asm --plugin-export_openscad --plugin-jostle --plugin-autoroute --plugin-io_autotrax --plugin-vendordrill --plugin-export_gerber --plugin-io_bxl --plugin-ar_extern --plugin-import_net_action \
%if %{debug} == 1
        prefix=%{_prefix} --debug
%else
        prefix=%{_prefix} --symbols
%endif

make

%install
%make_install

# Fix upstream install bug
%ifarch x86_64 aarch64
mkdir -p %{buildroot}/usr/lib/librnd/plugins
mv %{buildroot}%{_libdir}/librnd/plugins/* %{buildroot}/usr/lib/librnd/plugins/
%endif

# Install icon
cp %{SOURCE2} .
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp {%{SOURCE3},%{SOURCE4},%{SOURCE5},%{SOURCE6}} %{buildroot}%{_datadir}/applications/

%files
# Meta-Package with desktop file
%{_datadir}/applications/%{name}.desktop

%files doc
%doc %{_docdir}/%{name}/

%files core
%{_iconsdir}/hicolor/scalable/apps/pcb-rnd.svg
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_datadir}/%{name}/pcb-conf.lht
%config(noreplace) %{_datadir}/%{name}/pcb-menu-default.lht
%{_datadir}/%{name}/default2.lht
%{_datadir}/%{name}/default4.lht
%{_datadir}/%{name}/default_font
%{_bindir}/fp2preview
%{_bindir}/fp2subc
%{_bindir}/pcb-prj2lht
%{_mandir}/man1/fp2preview.1*
%{_mandir}/man1/fp2subc.1*
%{_mandir}/man1/pcb-prj2lht.1*
%{_datadir}/%{name}/pcblib/*
%config(noreplace) %{_datadir}/%{name}/ch_editpoint.conf
%config(noreplace) %{_datadir}/%{name}/drc_query.conf
%config(noreplace) %{_datadir}/%{name}/fp_fs.conf
%config(noreplace) %{_datadir}/%{name}/show_netnames.conf

%files auto
%{plugindir}/ar_cpcb.pup
%{plugindir}/ar_cpcb.so
%{plugindir}/ar_extern.pup
%{plugindir}/ar_extern.so
%{plugindir}/asm.pup
%{plugindir}/asm.so
%{plugindir}/autoplace.pup
%{plugindir}/autoplace.so
%{plugindir}/autoroute.pup
%{plugindir}/autoroute.so
%{plugindir}/export_dsn.pup
%{plugindir}/export_dsn.so
%{plugindir}/import_dsn.pup
%{plugindir}/import_dsn.so
%{plugindir}/import_mucs.pup
%{plugindir}/import_mucs.so
%{plugindir}/smartdisperse.pup
%{plugindir}/smartdisperse.so
%config(noreplace) %{_datadir}/%{name}/ar_extern.conf
%config(noreplace) %{_datadir}/%{name}/asm.conf

%files cloud
%{plugindir}/fp_wget.pup
%{plugindir}/fp_wget.so
%{libplugindir}/lib_wget.pup
%{libplugindir}/lib_wget.so
%config(noreplace) %{_datadir}/%{name}/fp_wget.conf

%files debug
%{plugindir}/diag.pup
%{plugindir}/diag.so
   
%files export-extra
%{plugindir}/export_fidocadj.pup
%{plugindir}/export_fidocadj.so
%{plugindir}/export_ipcd356.pup
%{plugindir}/export_ipcd356.so
%{plugindir}/export_lpr.pup
%{plugindir}/export_lpr.so
%{plugindir}/export_oldconn.pup
%{plugindir}/export_oldconn.so
%{plugindir}/export_stl.pup
%{plugindir}/export_stl.so

%files export-sim
%{plugindir}/export_openems.pup
%{plugindir}/export_openems.so

%files export
%{plugindir}/cam.pup
%{plugindir}/cam.so
%{plugindir}/export_bom.pup
%{plugindir}/export_bom.so
%{plugindir}/export_dxf.pup
%{plugindir}/export_dxf.so
%{plugindir}/export_excellon.pup
%{plugindir}/export_excellon.so
%{plugindir}/export_gcode.pup
%{plugindir}/export_gcode.so
%{plugindir}/export_gerber.pup
%{plugindir}/export_gerber.so
%{plugindir}/export_openscad.pup
%{plugindir}/export_openscad.so
%{plugindir}/export_png.pup
%{plugindir}/export_png.so
%{plugindir}/export_ps.pup
%{plugindir}/export_ps.so
%{plugindir}/export_stat.pup
%{plugindir}/export_stat.so
%{plugindir}/export_svg.pup
%{plugindir}/export_svg.so
%{plugindir}/export_xy.pup
%{plugindir}/export_xy.so
%{plugindir}/millpath.pup
%{plugindir}/millpath.so
%{_bindir}/%{name}-svg
%{_mandir}/man1/%{name}-svg.1*
%config(noreplace) %{_datadir}/%{name}/cam.conf
%config(noreplace) %{_datadir}/%{name}/export_xy.conf

%files extra
%{plugindir}/distalign.pup
%{plugindir}/distalign.so
%{plugindir}/djopt.pup
%{plugindir}/djopt.so
%{plugindir}/fontmode.pup
%{plugindir}/fontmode.so
%{plugindir}/jostle.pup
%{plugindir}/jostle.so
%{plugindir}/polycombine.pup
%{plugindir}/polycombine.so
%{plugindir}/polystitch.pup
%{plugindir}/polystitch.so
%{plugindir}/puller.pup
%{plugindir}/puller.so
%{plugindir}/renumber.pup
%{plugindir}/renumber.so
%{plugindir}/shand_cmd.pup
%{plugindir}/shand_cmd.so
%{plugindir}/teardrops.pup
%{plugindir}/teardrops.so
%{plugindir}/vendordrill.pup
%{plugindir}/vendordrill.so

%files hid-gtk2-gdk
%{_datadir}/applications/%{name}-gtk2-gdk.desktop
%{libplugindir}/hid_gtk2_gdk.pup
%{libplugindir}/hid_gtk2_gdk.so

%files hid-gtk2-gl
%{_datadir}/applications/%{name}-gtk2-gl.desktop
%{libplugindir}/hid_gtk2_gl.pup
%{libplugindir}/hid_gtk2_gl.so

%files hid-lesstif
%{_datadir}/applications/%{name}-lesstif.desktop
%{libplugindir}/hid_lesstif.pup
%{libplugindir}/hid_lesstif.so

%files import-geo
%{plugindir}/import_hpgl.pup
%{plugindir}/import_hpgl.so
%{plugindir}/import_pxm_gd.pup
%{plugindir}/import_pxm_gd.so
%{plugindir}/import_pxm_pnm.pup
%{plugindir}/import_pxm_pnm.so
%{plugindir}/import_ttf.pup
%{plugindir}/import_ttf.so

%files import-net
%{plugindir}/import_accel_net.pup
%{plugindir}/import_accel_net.so
%{plugindir}/import_calay.pup
%{plugindir}/import_calay.so
%{plugindir}/import_edif.pup
%{plugindir}/import_edif.so
%{plugindir}/import_fpcb_nl.pup
%{plugindir}/import_fpcb_nl.so
%{plugindir}/import_gnetlist.pup
%{plugindir}/import_gnetlist.so
%{plugindir}/import_ipcd356.pup
%{plugindir}/import_ipcd356.so
%{plugindir}/import_ltspice.pup
%{plugindir}/import_ltspice.so
%{plugindir}/import_mentor_sch.pup
%{plugindir}/import_mentor_sch.so
%{plugindir}/import_net_action.pup
%{plugindir}/import_net_action.so
%{plugindir}/import_net_cmd.pup
%{plugindir}/import_net_cmd.so
%{plugindir}/import_netlist.pup
%{plugindir}/import_netlist.so
%{plugindir}/import_orcad_net.pup
%{plugindir}/import_orcad_net.so
%{plugindir}/import_pads_net.pup
%{plugindir}/import_pads_net.so
%{plugindir}/import_protel_net.pup
%{plugindir}/import_protel_net.so
%{plugindir}/import_sch2.pup
%{plugindir}/import_sch2.so
%{plugindir}/import_tinycad.pup
%{plugindir}/import_tinycad.so
%{_bindir}/gsch2%{name}
%{_usr}/lib/%{name}/*.scm
%{_mandir}/man1/gsch2%{name}.1*
%config(noreplace) %{_datadir}/%{name}/import_gnetlist.conf

%files io-alien
%{plugindir}/io_autotrax.pup
%{plugindir}/io_autotrax.so
%{plugindir}/io_bxl.pup
%{plugindir}/io_bxl.so
%{plugindir}/io_dsn.pup
%{plugindir}/io_dsn.so
%{plugindir}/io_eagle.pup
%{plugindir}/io_eagle.so
%{plugindir}/io_hyp.pup
%{plugindir}/io_hyp.so
%{plugindir}/io_kicad.pup
%{plugindir}/io_kicad.so
%{plugindir}/io_kicad_legacy.pup
%{plugindir}/io_kicad_legacy.so
%{_mandir}/man1/txt2bxl.1*
%{_mandir}/man1/bxl2txt.1*
%{_bindir}/txt2bxl
%{_bindir}/bxl2txt

%files io-standard
%{plugindir}/io_pcb.pup
%{plugindir}/io_pcb.so
%{plugindir}/io_tedax.pup
%{plugindir}/io_tedax.so

%files lib-gl
%{libplugindir}/lib_hid_gl.pup
%{libplugindir}/lib_hid_gl.so

%files lib-gtk
%{libplugindir}/lib_gtk_common.pup
%{libplugindir}/lib_gtk_common.so

%files lib-gui
%{plugindir}/dialogs.pup
%{plugindir}/dialogs.so
%{plugindir}/draw_fontsel.pup
%{plugindir}/draw_fontsel.so
%{plugindir}/lib_hid_pcbui.pup
%{plugindir}/lib_hid_pcbui.so
%{libplugindir}/irc.pup
%{libplugindir}/irc.so
%{libplugindir}/lib_hid_common.pup
%{libplugindir}/lib_hid_common.so
%config(noreplace) %{_datadir}/%{name}/adialogs.conf
%config(noreplace) %{_datadir}/librnd/dialogs.conf

%files lib-io
%{plugindir}/lib_netmap.pup
%{plugindir}/lib_netmap.so
%{libplugindir}/lib_gensexpr.pup
%{libplugindir}/lib_gensexpr.so

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/librnd/*
%{_datadir}/librnd/librnd.mak
%{_libdir}/librnd/scconfig
%{_libdir}/*.so
%{_libdir}/librnd/puplug
%{_libdir}/librnd/sphash
%{libplugindir}/map_plugins.sh
# Included on upstream request:
%{_libdir}/librnd-*.a


%changelog
* Sat Jan 23 2021 barjac <barjac> 2.3.1-2.mga8
+ Revision: 1672988
- Fix i586 build
- add conflict for upgrade 7->8
- new version 2.3.1
- adjusted mk-spec script for new paths
- spec changes auto generated files lists etc.

* Fri Nov 20 2020 barjac <barjac> 2.3.0-1.mga8
+ Revision: 1647805
- new version 2.3.0

* Wed Sep 16 2020 barjac <barjac> 2.2.4-2.mga8
+ Revision: 1626819
- Added summaries and descriptions to auto spec generation
- removed and obsoleted -static package, *.a files now in -devel package
- as upstream prefer that we dont delete them.

* Fri Sep 11 2020 barjac <barjac> 2.2.4-1.mga8
+ Revision: 1624757
- new version 2.2.4

* Thu Aug 13 2020 barjac <barjac> 2.2.3-2.mga8
+ Revision: 1613973
- Rebuild for pango

* Sat Jul 11 2020 barjac <barjac> 2.2.3-1.mga8
+ Revision: 1604327
- new version 2.2.3

* Fri Jul 03 2020 barjac <barjac> 2.2.2-1.mga8
+ Revision: 1601606
- new version 2.2.2
- fix minor bug in mk-spec and spec.tpl
- minor change to mk-tar
- new snapshot 31781 and added packaging.README

* Fri Jun 05 2020 barjac <barjac> 2.2.1-2.31771.mga8
+ Revision: 1590445
- new snapshot 31771
- new script mk-spec - and Packaging.README
- added spec.tpl used by mk-spec to automate spec file updates

* Wed May 06 2020 barjac <barjac> 2.2.1-2.mga8
+ Revision: 1581392
- add missing configure options
- update files lists

* Thu Apr 30 2020 barjac <barjac> 2.2.1-1.mga8
+ Revision: 1577226
- new version 2.2.1

* Fri Feb 21 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1547902
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 barjac <barjac> 2.2.0-1.mga8
+ Revision: 1488656
- new version 2.2.0
- updated files lists
- changed configure options

* Mon Nov 04 2019 barjac <barjac> 2.1.4-2.mga8
+ Revision: 1457736
- fix requires typo
- clean up tabs/spaces

* Mon Nov 04 2019 barjac <barjac> 2.1.4-1.mga8
+ Revision: 1457701
- new version 2.1.4
- added/removed plugins changed upstream
- added -static package requested upstream
- added new library package
- adjusted files lists accordingly

* Wed May 01 2019 barjac <barjac> 2.1.2-4.mga7
+ Revision: 1395961
- add missing Recommends pcb-rnd-import-net

* Mon Apr 29 2019 barjac <barjac> 2.1.2-3.mga7
+ Revision: 1395927
- Update tarball to full release

* Sat Apr 27 2019 barjac <barjac> 2.1.2-2.mga7
+ Revision: 1395685
- update tarball to actual release

* Tue Apr 23 2019 barjac <barjac> 2.1.2-1.mga7
+ Revision: 1394860
- new version 2.1.2

* Mon Feb 18 2019 barjac <barjac> 2.1.1-2.mga7
+ Revision: 1368278
- Revert dropped BR on freetype

* Thu Feb 14 2019 barjac <barjac> 2.1.1-1.mga7
+ Revision: 1366781
- new version 2.1.1
- config(noreplace) for all conf files
- update files lists

* Tue Feb 05 2019 daviddavid <daviddavid> 2.1.0-3.mga7
+ Revision: 1363431
- fix dependencies

* Sun Jan 27 2019 barjac <barjac> 2.1.0-2.mga7
+ Revision: 1361515
- add missing require

* Sun Jan 27 2019 barjac <barjac> 2.1.0-1.mga7
+ Revision: 1361426
- new version 2.1.0
- new BR freetype6
- new build options and files in list

* Mon Nov 19 2018 barjac <barjac> 2.0.1-1.mga7
+ Revision: 1331933
- new version 2.0.1
- file added to list

* Fri Oct 05 2018 daviddavid <daviddavid> 2.0.0-4.mga7
+ Revision: 1317790
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 2.0.0-3.mga7
+ Revision: 1235490
- disable parallel build
- build with motif instead of lesstif

* Wed Jun 06 2018 barjac <barjac> 2.0.0-1.mga7
+ Revision: 1235061
- new version 2.0.0
- Recommends: geda-gnetlist
- fix files list
- change configure options due to upstream changes

* Wed Mar 21 2018 barjac <barjac> 1.2.8-1.mga7
+ Revision: 1210947
- new full release 1.2.8

* Tue Mar 13 2018 barjac <barjac> 1.2.8-0.15365.1.mga7
+ Revision: 1208807
- new package pcb-rnd

