# Build with --debug (1) or --symbols (0)
%define debug   0
%define plugindir %{_usr}/lib/%{name}/plugins
%define libplugindir %{_usr}/lib/librnd/plugins

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d 

# commented out if not svn snapshot
@svn-revision@

@release@

Name:           pcb-rnd
@version@
Release:        %mkrel %{?svn:%rel.%svn}%{?!svn:%rel}
Summary:        Standard installation
License:        GPLv2+ and LGPLv2+ and BSD and MIT
Group:          Sciences/Other
URL:            http://repo.hu/projects/pcb-rnd
Source0:        http://repo.hu/projects/%{name}/releases/%{name}%{?svn:-%{svn}}%{!?svn:-%{version}}.tar.gz
Source1:        mk-tar
Source2:        logo.svg
Source3:        pcb-rnd.desktop
Source4:        pcb-rnd-gtk2-gdk.desktop
Source5:        pcb-rnd-gtk2-gl.desktop
Source6:        pcb-rnd-lesstif.desktop
Source7:        mk-spec
Source8:        spec.tpl
Source9:        packaging.README

BuildRequires:  motif-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       %{name}-core = %{version}-%{release}
Recommends:     %{name}-io-standard = %{version}-%{release}
Recommends:     %{name}-io-alien = %{version}-%{release}
Recommends:     %{name}-hid-gtk2-gl = %{version}-%{release}
Recommends:     %{name}-hid-gtk2-gdk = %{version}-%{release}
Recommends:     %{name}-import-net = %{version}-%{release}
Recommends:     %{name}-export = %{version}-%{release}
Recommends:     %{name}-export-sim = %{version}-%{release}
Recommends:     %{name}-export-extra = %{version}-%{release}
Recommends:     %{name}-auto = %{version}-%{release}
Recommends:     %{name}-extra = %{version}-%{release}
Recommends:     %{name}-cloud = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}
Recommends:     geda-gnetlist

Obsoletes:      %{name}-static < 2.2.4-2

%description

%package -n %{libname}
Summary:        @librnd2-summary@
Requires:       pcb-rnd-core = %{version}-%{release}

%description -n %{libname}
@librnd2-desc@

%package -n %{devname}
Summary:        @librnd-dev-summary@
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
@librnd-dev-desc@

%package core
Summary:        @core-summary@

%description core
@core-desc@

%package doc
Summary:        @doc-summary@
BuildArch:      noarch

%description doc
@doc-desc@

%package auto
Summary:        @auto-summary@
@auto-req@

%description auto
@auto-desc@

%package cloud
Summary:        @cloud-summary@
Requires:       wget
@cloud-req@

%description cloud
@cloud-desc@

%package debug
Summary:        @debug-summary@
@debug-req@

%description debug
@debug-desc@

%package export-extra
Summary:        @export-extra-summary@
@export-extra-req@

%description export-extra
@export-extra-desc@

%package export-sim
Summary:        @export-sim-summary@
@export-sim-req@

%description export-sim
@export-sim-desc@

%package export
Summary:        @export-summary@
@export-req@

%description export
@export-desc@

%package extra
Summary:        @extra-summary@
@extra-req@

%description extra
@extra-desc@

%package hid-gtk2-gdk
Summary:        @hid-gtk2-gdk-summary@
@hid-gtk2-gdk-req@

%description hid-gtk2-gdk
@hid-gtk2-gdk-desc@

%package hid-gtk2-gl
Summary:        @hid-gtk2-gl-summary@
@hid-gtk2-gl-req@

%description hid-gtk2-gl
@hid-gtk2-gl-desc@

%package hid-lesstif
Summary:        @hid-lesstif-summary@
@hid-lesstif-req@

%description hid-lesstif
@hid-lesstif-desc@

%package import-geo
Summary:        @import-geo-summary@
@import-geo-req@

%description import-geo
@import-geo-desc@

%package import-net
Summary:        @import-net-summary@
@import-net-req@
# Fix upgrade path Mga7>8 due to file move
Conflicts:      %{name}-core < 2.3.1

%description import-net
@import-net-desc@

%package io-alien
Summary:        @io-alien-summary@
@io-alien-req@

%description io-alien
@io-alien-desc@

%package io-standard
Summary:        @io-standard-summary@
@io-standard-req@

%description io-standard
@io-standard-desc@

%package lib-gl
Summary:        @lib-gl-summary@
@lib-gl-req@

%description lib-gl
@lib-gl-desc@ 

%package lib-gtk
Summary:        @lib-gtk-summary@
@lib-gtk-req@

%description lib-gtk
@lib-gtk-desc@

%package lib-gui
Summary:        @lib-gui-summary@
@lib-gui-req@

%description lib-gui
@lib-gui-desc@ 

%package lib-io
Summary:        @lib-io-summary@
@lib-io-req@

%description lib-io
@lib-io-desc@ 

%prep
%autosetup -n %{name}-%{?svn}%{!?svn:%{version}} -p1

%build
./configure \
--libarchdir=%{_lib} \
@MAIN_CONFIGURE_OPTIONS@\
%if %{debug} == 1
        prefix=%{_prefix} --debug
%else
        prefix=%{_prefix} --symbols
%endif

make

%install
%make_install

# Fix upstream install bug
%ifarch x86_64 aarch64
mkdir -p %{buildroot}/usr/lib/librnd/plugins
mv %{buildroot}%{_libdir}/librnd/plugins/* %{buildroot}/usr/lib/librnd/plugins/
%endif

# Install icon
cp %{SOURCE2} .
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
cp {%{SOURCE3},%{SOURCE4},%{SOURCE5},%{SOURCE6}} %{buildroot}%{_datadir}/applications/

%files
# Meta-Package with desktop file
%{_datadir}/applications/%{name}.desktop

%files doc
%doc %{_docdir}/%{name}/

%files core
%{_iconsdir}/hicolor/scalable/apps/pcb-rnd.svg
@core-files@

%files auto
@auto-files@

%files cloud
@cloud-files@

%files debug
@debug-files@
   
%files export-extra
@export-extra-files@

%files export-sim
@export-sim-files@

%files export
@export-files@

%files extra
@extra-files@

%files hid-gtk2-gdk
%{_datadir}/applications/%{name}-gtk2-gdk.desktop
@hid-gtk2-gdk-files@

%files hid-gtk2-gl
%{_datadir}/applications/%{name}-gtk2-gl.desktop
@hid-gtk2-gl-files@

%files hid-lesstif
%{_datadir}/applications/%{name}-lesstif.desktop
@hid-lesstif-files@

%files import-geo
@import-geo-files@

%files import-net
@import-net-files@

%files io-alien
@io-alien-files@

%files io-standard
@io-standard-files@

%files lib-gl
@lib-gl-files@

%files lib-gtk
@lib-gtk-files@

%files lib-gui
@lib-gui-files@

%files lib-io
@lib-io-files@

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
@librnd-dev-files@
# Included on upstream request:
%{_libdir}/librnd-*.a
